JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class Secur32.EXTENDED_NAME_FORMAT

    java.lang.Object
      com.sun.jna.platform.win32.Secur32.EXTENDED_NAME_FORMAT

Enclosing interface:
  Secur32

    public abstract static class Secur32.EXTENDED_NAME_FORMAT

extends java.lang.Object

Specifies a format for a directory service object name. http://msdn.microsoft.com/en-us/library/ms724268(VS.85).aspx

Field Summary
`static int` `NameCanonical`
`static int` `NameCanonicalEx`
`static int` `NameDisplay`
`static int` `NameDnsDomain`
`static int` `NameFullyQualifiedDN`
`static int` `NameSamCompatible`
`static int` `NameServicePrincipal`
`static int` `NameUniqueId`
`static int` `NameUnknown`
`static int` `NameUserPrincipal`

Constructor Summary
`Secur32.EXTENDED_NAME_FORMAT()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NameUnknown

    public static final int NameUnknown

See Also:
  Constant Field Values

### NameFullyQualifiedDN

    public static final int NameFullyQualifiedDN

See Also:
  Constant Field Values

### NameSamCompatible

    public static final int NameSamCompatible

See Also:
  Constant Field Values

### NameDisplay

    public static final int NameDisplay

See Also:
  Constant Field Values

### NameUniqueId

    public static final int NameUniqueId

See Also:
  Constant Field Values

### NameCanonical

    public static final int NameCanonical

See Also:
  Constant Field Values

### NameUserPrincipal

    public static final int NameUserPrincipal

See Also:
  Constant Field Values

### NameCanonicalEx

    public static final int NameCanonicalEx

See Also:
  Constant Field Values

### NameServicePrincipal

    public static final int NameServicePrincipal

See Also:
  Constant Field Values

### NameDnsDomain

    public static final int NameDnsDomain

See Also:
  Constant Field Values

Constructor Detail

### Secur32.EXTENDED_NAME_FORMAT

    public Secur32.EXTENDED_NAME_FORMAT()

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.